net Module Reference

Network Configuration. More...

## Classes

struct | CommonInfo
| Common info. More...
struct | CommonSettings_2_0_0
| Common settings. More...
interface | Diagnostics
| Diagnostics interface. More...
struct | DnsInfo
| DNS info. More...
struct | DnsSettings_2_0_0
| DNS settings. More...
struct | EapAuthSettings_3_0_0
| EAP authentication settings. More...
struct | EthInfo_1_0_1
| Ethernet interface info. More...
struct | EthLinkMode
| Ethernet link mode. More...
struct | EthSettings_2_0_0
| Ethernet interface settings. More...
struct | Info_1_0_1
| Network info. More...
struct | InterfaceInfo
| Interface specific info. More...
struct | InterfaceIpSettings_2_0_0
| Interface specific IP settings. More...
struct | InterfaceIPv4Info
| Interface specific IPv4 info. More...
struct | InterfaceIPv6Info
| Interface specific IPv6 info. More...
struct | InterfaceSettings_2_0_0
| Interface specific settings. More...
struct | IpAddrCidr
| IPv4/IPv6 address and prefix len. More...
struct | IpRoute
| IPv4/IPv6 route. More...
struct | IpRoutingSettings_2_0_0
| IP protocol specific routing settings. More...
interface | Net_5_0_0
| Network configuration interface. More...
struct | PortForwardingInfo
| Port forwarding info. More...
struct | PortForwardingMasterAddrInfo
| Port forwarding master address info for an interface. More...
struct | PortForwardingProtocolMapping
| Mapping from application protocol id to name and transport protocol. More...
struct | PortForwardingSettings_2_0_0
| Port forwarding settings. More...
struct | RoutingInfo
| Routing info. More...
struct | RoutingSettings_2_0_0
| Routing settings. More...
interface | Services
| Network services configuration interface. More...
struct | ServiceSettings
| Network service settings. More...
struct | Settings_3_0_0
| Network settings. More...
struct | WlanInfo
| WLAN interface info. More...
struct | WlanSettings_3_0_0
| WLAN interface settings. More...

## Enumerations

enum | PortForwardingRole { MASTER, SLAVE }
| Role of the node when port forwarding is enabled. More...
enum | IpConfigMethod { STATIC, DHCP, AUTO }
| IP configuration method. More...
enum | InterfaceType { ETHERNET, WLAN, BRIDGE }
| The interface type. More...
enum | InterfaceOpState { NOT_PRESENT, DOWN, NO_LINK, UP }
| Interface operational state. More...
enum | EapOuterAuthMethod_2_0_0 { EAP_PEAP, EAP_TLS }
| EAP outer authentication method. More...
enum | EapInnerAuthMethod_2_0_0 { INNER_EAP_MSCHAPv2, INNER_EAP_TLS }
| EAP inner authentication method. More...
enum | EapStatus { EAP_STATUS_DISABLED, EAP_STATUS_PENDING, EAP_STATUS_FAILED, EAP_STATUS_SUCCESS }
| EAP authentication status. More...
enum | EthSpeed { SPEED_AUTO, SPEED_MBIT_10, SPEED_MBIT_100, SPEED_MBIT_1000 }
| Ethernet speed. More...
enum | EthDuplexMode { DUPLEX_MODE_AUTO, DUPLEX_MODE_HALF, DUPLEX_MODE_FULL }
| Ethernet duplex mode. More...
enum | EthAuthType { ETH_AUTH_NONE, ETH_AUTH_EAP }
| Ethernet authentication type. More...
enum | WlanSecProtocol { WPA2 }
| WLAN security protocol. More...
enum | WlanAuthType_2_0_0 { WLAN_AUTH_NONE, WLAN_AUTH_PSK, WLAN_AUTH_EAP }
| WLAN authentication type. More...
enum | WlanChannelWidth { CHANNEL_WIDTH_UNKNOWN, CHANNEL_WIDTH_20_NO_HT, CHANNEL_WIDTH_20, CHANNEL_WIDTH_40, CHANNEL_WIDTH_80, CHANNEL_WIDTH_80P80, CHANNEL_WIDTH_160 }
| WLAN channel width.

## Variables

valueobject | CommonInfoChangedEvent
| Event that is send when common network info has changed. More...
valueobject | InterfaceInfoChangedEvent
| Event that is send when common interface specific network info has changed. More...
valueobject | EthInfoChangedEvent_1_0_1
| Event that is send when ethernet interface specific network info has changed. More...
string | ifLabel
| interface label
EthInfo_1_0_1 | ethInfo
| Current ethernet interface specific info.
valueobject | WlanInfoChangedEvent
| Event that is send when WLAN interface specific network info has changed. More...
WlanInfo | wlanInfo
| Current WLAN interface specific info.
valueobject | LinkStateChangedEvent
| Event that is send when the operational state of an interface changed. More...
InterfaceType | ifType
| interface type
InterfaceOpState | ifState
| Current operational interface state.
valueobject | PortForwardingSlavePresenceStateChangedEvent
| Event that is send when the presence state of a downstream port forwarding slave changes. More...

## Detailed Description

Network Configuration.

Network services configuration.

## Enumeration Type Documentation

## EapInnerAuthMethod_2_0_0

enum net::EapInnerAuthMethod_2_0_0

EAP inner authentication method.

Enumerator
INNER_EAP_MSCHAPv2 | MSCHAPv2 authentication.
INNER_EAP_TLS | TLS authentication.

## EapOuterAuthMethod_2_0_0

enum net::EapOuterAuthMethod_2_0_0

EAP outer authentication method.

Enumerator
EAP_PEAP | PEAP authentication.
EAP_TLS | TLS authentication.

## EapStatus

enum net::EapStatus

EAP authentication status.

Enumerator
EAP_STATUS_DISABLED | EAP authentication disabled.
EAP_STATUS_PENDING | EAP authentication pending.
EAP_STATUS_FAILED | EAP authentication failed.
EAP_STATUS_SUCCESS | EAP authentication succeeded.

## EthAuthType

enum net::EthAuthType

Ethernet authentication type.

Enumerator
ETH_AUTH_NONE | No authentication.
ETH_AUTH_EAP | 802::1x (EAP) authentication

## EthDuplexMode

enum net::EthDuplexMode

Ethernet duplex mode.

Enumerator
DUPLEX_MODE_AUTO | Use auto-negotiation to set duplex mode.
DUPLEX_MODE_HALF | Half duplex.
DUPLEX_MODE_FULL | Full duplex.

## EthSpeed

enum net::EthSpeed

Ethernet speed.

Enumerator
SPEED_AUTO | Use auto-negotiation to set speed.
SPEED_MBIT_10 | 10 MBit/s
SPEED_MBIT_100 | 100 MBit/s
SPEED_MBIT_1000 | 1000 MBit/s (1 GBit/s)

## InterfaceOpState

enum net::InterfaceOpState

Interface operational state.

Enumerator
NOT_PRESENT | Interface is not present.
DOWN | Interface is down.
NO_LINK | Interface has no link.
UP | Interface is up and running.

## InterfaceType

enum net::InterfaceType

The interface type.

Enumerator
ETHERNET | Ethernet interface.
WLAN | WLAN interface.
BRIDGE | Bride interface.

## IpConfigMethod

enum net::IpConfigMethod

IP configuration method.

Enumerator
STATIC | No automatic configuration.
DHCP | Use DHCP for automatic configuration (IPv4 only)
AUTO | Use automatic configuration (IPv6 only)

## PortForwardingRole

enum net::PortForwardingRole

Role of the node when port forwarding is enabled.

Enumerator
MASTER | Node is the port forwarding master.
SLAVE | Node is a port forwarding slave.

## WlanAuthType_2_0_0

enum net::WlanAuthType_2_0_0

WLAN authentication type.

Enumerator
WLAN_AUTH_NONE | No authentication.
WLAN_AUTH_PSK | Pre-shared key authentication.
WLAN_AUTH_EAP | 802::1x (EAP) authentication

## WlanSecProtocol

enum net::WlanSecProtocol

WLAN security protocol.

Enumerator
WPA2 | WPA2 security protocol.

## Variable Documentation

## CommonInfoChangedEvent

valueobject net::CommonInfoChangedEvent

Event that is send when common network info has changed.

Current common network info

## EthInfoChangedEvent_1_0_1

valueobject net::EthInfoChangedEvent_1_0_1

Event that is send when ethernet interface specific network info has changed.

Ethernet interface name

## InterfaceInfoChangedEvent

valueobject net::InterfaceInfoChangedEvent

Event that is send when common interface specific network info has changed.

Current common interface specific info

## LinkStateChangedEvent

valueobject net::LinkStateChangedEvent

Event that is send when the operational state of an interface changed.

interface name

## PortForwardingSlavePresenceStateChangedEvent

valueobject net::PortForwardingSlavePresenceStateChangedEvent

Event that is send when the presence state of a downstream port forwarding slave changes.

`true` when a slave is present

## WlanInfoChangedEvent

valueobject net::WlanInfoChangedEvent

Event that is send when WLAN interface specific network info has changed.

WLAN interface name